
unit main;

{$IFDEF FPC}{$MODE objfpc}{$H+}{$ENDIF}

interface

uses
  //msetypes,
  mseglob,
  mseguiglob,
  mseguiintf,
  mseapplication,
  msestat,
  //msemenus,
  msegui,
  msegraphics,
  msegraphutils,
  //mseevent,
  mseclasses,
  //msewidgets,
  mseforms,
  msesimplewidgets,
  //msedispwidgets,
  mserichstring,
  msetimer,
  sysutils;

type
  tmainfo = class(tmainform)
    paintbox1: tpaintbox;
    procedure paintbox1_paint(const sender: twidget; const acanvas: tcanvas);
  end;

var
  mainfo: tmainfo;

implementation

uses
  main_mfm;

procedure tmainfo.paintbox1_paint(const sender: twidget;
               const acanvas: tcanvas);
var
  x: integer;
begin
  acanvas.fillrect(makerect(0, 0, sender.bounds_cx, sender.bounds_cy), cl_ltgray);
  
  acanvas.fillellipse(makerect(sender.bounds_cx div 2, sender.bounds_cy div 2, 100, 100), cl_gray, cl_dkgray);
  
  acanvas.drawline(
    makepoint(0, 0),
    makepoint(sender.bounds_cx, sender.bounds_cy),
    cl_yellow
  );
  
  for x := 0 to 9 do
    acanvas.drawpoint(makepoint(x, 0), cl_magenta);
end;

end.
